/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for ECGLeads
 */
public enum EnumCM_ECGLeads 
{
	DEFIBRILLATOR_LEAD_ANTERIOR_LATERAL("Defibrillator lead: anterior-lateral"),
	EXTERNAL_PACING_LEAD_ANTERIOR_POSTERIOR("External pacing lead: anterior-posterior"),
	LEAD_A("Lead A"),
	LEAD_A_ANTERIOR("Lead A (Nehb  Anterior)"),
	LEAD_A1("Lead A1 (Auxiliary unipolar lead 1)"),
	LEAD_A2("Lead A2 (Auxiliary unipolar lead 2)"),
	LEAD_A3("Lead A3 (Auxiliary unipolar lead 3)"),
	LEAD_A4("Lead A4 (Auxiliary unipolar lead 4)"),
	LEAD_A_CAL("Lead A-cal"),
	LEAD_A_CAL_ANTERIOR("Lead A-cal (cal for Nehb  Anterior)"),
	LEAD_AVF("Lead aVF"),
	LEAD_AVL("Lead aVL"),
	LEAD_AVR("Lead aVR"),
	LEAD_NEGATIVE_AVR("Lead -aVR"),
	LEAD_C("Lead C"),
	LEAD_CC5("Lead CC5"),
	LEAD_CC5_CAL("Lead CC5-cal"),
	LEAD_C_CAL("Lead C-cal"),
	LEAD_CM5("Lead CM5"),
	LEAD_CM5_CAL("Lead CM5-cal"),
	LEAD_D_DORSAL("Lead D (Nehb  Dorsal)"),
	LEAD_D_CAL_DORSAL("Lead D-cal (cal for Nehb  Dorsal)"),
	LEAD_E("Lead E"),
	LEAD_E_CAL("Lead E-cal"),
	LEAD_F("Lead F"),
	LEAD_F_CAL("Lead F-cal"),
	LEAD_H("Lead H"),
	LEAD_H_CAL("Lead H-cal"),
	LEAD_I_EINTHOVEN("Lead I (Einthoven)"),
	LEAD_I_FRANK("Lead I (Frank)"),
	LEAD_I_CAL_EINTHOVEN("Lead I-cal (Einthoven)"),
	LEAD_I_CAL_FRANK("Lead I-cal (Frank)"),
	LEAD_II("Lead II"),
	LEAD_II_CAL("Lead II-cal"),
	LEAD_III("Lead III"),
	LEAD_J_INFERIOR("Lead J (Nehb  Inferior)"),
	LEAD_J_CAL_INFERIOR("Lead J-cal (cal for Nehb  Inferior)"),
	LEAD_LEFT_ARM("Lead Left Arm"),
	LEAD_LEFT_ARM_CAL("Lead Left Arm-cal"),
	LEAD_LEFT_LEG("Lead Left Leg"),
	LEAD_LEFT_LEG_CAL("Lead Left Leg-cal"),
	LEAD_M("Lead M"),
	LEAD_M_CAL("Lead M-cal"),
	LEAD_RIGHT_ARM("Lead Right Arm"),
	LEAD_RIGHT_ARM_CAL("Lead Right Arm-cal"),
	LEAD_V1("Lead V1"),
	LEAD_V1_CAL("Lead V1-cal"),
	LEAD_V2("Lead V2"),
	LEAD_V2_CAL("Lead V2-cal"),
	LEAD_V2R("Lead V2R"),
	LEAD_V2R_CAL("Lead V2R-cal"),
	LEAD_V3("Lead V3"),
	LEAD_V3_CAL("Lead V3-cal"),
	LEAD_V3R("Lead V3R"),
	LEAD_V3R_CAL("Lead V3R-cal"),
	LEAD_V4("Lead V4"),
	LEAD_V4_CAL("Lead V4-cal"),
	LEAD_V4R("Lead V4R"),
	LEAD_V4R_CAL("Lead V4R-cal"),
	LEAD_V5("Lead V5"),
	LEAD_V5_CAL("Lead V5-cal"),
	LEAD_V5R("Lead V5R"),
	LEAD_V5R_CAL("Lead V5R-cal"),
	LEAD_V6("Lead V6"),
	LEAD_V6_CAL("Lead V6-cal"),
	LEAD_V6R("Lead V6R"),
	LEAD_V6R_CAL("Lead V6R-cal"),
	LEAD_V7("Lead V7"),
	LEAD_V7_CAL("Lead V7-cal"),
	LEAD_V7R("Lead V7R"),
	LEAD_V7R_CAL("Lead V7R-cal"),
	LEAD_V8("Lead V8"),
	LEAD_V8_CAL("Lead V8-cal"),
	LEAD_V8R("Lead V8R"),
	LEAD_V8R_CAL("Lead V8R-cal"),
	LEAD_V9("Lead V9"),
	LEAD_V9_CAL("Lead V9-cal"),
	LEAD_V9R("Lead V9R"),
	LEAD_V9R_CAL("Lead V9R-cal"),
	LEAD_X("Lead X"),
	LEAD_X_CAL("Lead X-cal"),
	LEAD_Y("Lead Y"),
	LEAD_Y_CAL("Lead Y-cal"),
	LEAD_Z("Lead Z"),
	LEAD_Z_CAL("Lead Z-cal"),
	UNSPECIFIED_LEAD("Unspecified lead");
	
	private String value;
	
	EnumCM_ECGLeads(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Meta SOP Class.
	 */
	public String getValue()
	{
		return value;
	}
}
